package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.ObjHazardMapper;
import com.goldenwater.slaj.hazard.domain.ObjHazard;
import com.goldenwater.slaj.hazard.service.IObjHazardService;

/**
 * 危险源 服务层实现
 */
@Service
public class ObjHazardServiceImpl implements IObjHazardService {

    @Autowired
    private ObjHazardMapper objHazardMapper;

    @Override
    public ObjHazard selectObjHazardByGuid(String guid) {
        return objHazardMapper.selectObjHazardByGuid(guid);
    }

    @Override
    public List<ObjHazard> selectObjHazardList(ObjHazard objHazard) {
        return objHazardMapper.selectObjHazardList(objHazard);
    }

    @Override
    public int insertObjHazard(ObjHazard objHazard) {
        return objHazardMapper.insertObjHazard(objHazard);
    }

    @Override
    public int updateObjHazard(ObjHazard objHazard) {
        return objHazardMapper.updateObjHazard(objHazard);
    }

    @Override
    public int deleteObjHazardByGuid(String guid) {
        return objHazardMapper.deleteObjHazardByGuid(guid);
    }

    @Override
    public int deleteObjHazardByGuids(String[] guids) {
        return objHazardMapper.deleteObjHazardByGuids(guids);
    }
}
